View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013412ParaView(No Category)public2012-08-29 23:532015-01-11 08:36
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.98.0 
Summary0013412: Windows build error when using Ninja
Description
C:\Kitware\ParaView\ParaViewSuperbuild-ninja\paraview\src\paraview-build>ninja -v -j1
ninja: warning: multiple rules generate lib\protoc.lib. build will not be correct; continuing anyway
ninja: error: 'Applications\ParaView\..\..\Documentation\paraview.qch', needed by 'Applications\ParaView\qrc_paraview_help.cxx', missing and no known rule to make it
TagsNo tags attached.
ProjectKitware
Topic Name13412_fix_documentation_dependency
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029095)
Utkarsh Ayachit (administrator)
2012-08-31 10:21

commit b79c9a0ef14ba3be27dfa22777b79f56074282ec
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Aug 30 23:25:52 2012 -0400

    BUG 0013412: Fixing dependency issues when building documentation.
    
    Resolving build problems with Ninja when bulding embedded documentation for
    ParaView. The issue was deeper than just a Ninja problem.
    
    Docmentation/CMakeLists.txt was generaing a paraview.qhp file and a resource
    file under Applications/ParaView was dependending on it. That's a tricky
    dependency since Applications/ParaView doesn't see the rule to generate
    paraview.qhp. We overcome the issue by adding a phony ParaViewOnlineHelp target
    that we made paraview depend on and than ensured that the qhp was available by
    the time Applications/ParaView's resource file looked for it.
    
    Fixing the issue by moving Documentation to Applications/ParaView. The
    documentation is indeed for the ParaView application hence makes sense its
    included in the application's sub-dir. We build a static library containing the
    documnetation resource that's initied by ParaViewMainWindow constructor.
(0029117)
Utkarsh Ayachit (administrator)
2012-09-03 13:30

merged into master, if applicable.
(0030230)
Alan Scott (manager)
2013-01-22 17:19

Trusting Utkarsh and the nightly builds.

- Issue History
Date Modified Username Field Change
2012-08-29 23:53 Utkarsh Ayachit New Issue
2012-08-29 23:53 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-08-31 10:21 Utkarsh Ayachit Topic Name => 13412_fix_documentation_dependency
2012-08-31 10:21 Utkarsh Ayachit Note Added: 0029095
2012-08-31 10:21 Utkarsh Ayachit Status backlog => gatekeeper review
2012-08-31 10:21 Utkarsh Ayachit Fixed in Version => git-next
2012-08-31 10:21 Utkarsh Ayachit Resolution open => fixed
2012-09-03 13:30 Utkarsh Ayachit Status gatekeeper review => customer review
2012-09-03 13:30 Utkarsh Ayachit Note Added: 0029117
2012-10-06 07:03 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2013-01-22 17:19 Alan Scott Note Added: 0030230
2013-01-22 17:19 Alan Scott Status customer review => closed
2015-01-11 08:36 Utkarsh Ayachit Source_changeset_attached => ParaView master 3e5df0ff
2015-01-11 08:36 Utkarsh Ayachit Source_changeset_attached => ParaView master b79c9a0e


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker